Update von 5.2 auf 5.3 schlägt fehl:

  • Affected Version
    WoltLab Suite 5.2

    Vorher gab es ein Update von 3.1 auf 5.2 (ohne Probleme). Bei 5.2 auf 5.3 gibt es bei 6% folgenden Fehler:


    Requested URL
    POST /seo_wsc54/cms/acp/index.php?install-package/&t=15a12deda40127937f3962af0395a4084c28f082
    Referrer
    http://localhost/seo_wsc54/cms/acp/index.php?package-update/
    Error Message
    Das Datenbanklayout konnte aufgrund folgender Fehler nicht aktualisiert werden: Die Spalte wcf1_article_content.metaTitle gehört zu einem anderen Paket und kann deshalb nicht gelöscht werden. Die Spalte wcf1_article_content.metaDescription gehört zu einem anderen Paket und kann deshalb nicht gelöscht werden.
    Type
    RuntimeException
    File (Line)
    /var/www/seo_wsc54/cms/lib/system/database/table/DatabaseTableChangeProcessor.class.php (1015)
    Stacktrace
    1. /var/www/seo_wsc54/cms/acp/update_com.woltlab.wcf_5.3.php (80): wcf\system\database\table\DatabaseTableChangeProcessor->process(…)
    2. /var/www/seo_wsc54/cms/lib/system/package/plugin/ScriptPackageInstallationPlugin.class.php (72): include(…)
    3. /var/www/seo_wsc54/cms/lib/system/package/plugin/ScriptPackageInstallationPlugin.class.php (50): wcf\system\package\plugin\ScriptPackageInstallationPlugin->run(…)
    4. /var/www/seo_wsc54/cms/lib/system/package/plugin/AbstractPackageInstallationPlugin.class.php (70): wcf\system\package\plugin\ScriptPackageInstallationPlugin->install(…)
    5. /var/www/seo_wsc54/cms/lib/system/package/PackageInstallationDispatcher.class.php (743): wcf\system\package\plugin\AbstractPackageInstallationPlugin->update(…)
    6. /var/www/seo_wsc54/cms/lib/system/package/PackageInstallationDispatcher.class.php (144): wcf\system\package\PackageInstallationDispatcher->executePIP(…)
    7. /var/www/seo_wsc54/cms/lib/acp/action/InstallPackageAction.class.php (73): wcf\system\package\PackageInstallationDispatcher->install(…)
    8. /var/www/seo_wsc54/cms/lib/action/AbstractDialogAction.class.php (68): wcf\acp\action\InstallPackageAction->stepInstall(…)
    9. /var/www/seo_wsc54/cms/lib/action/AbstractAction.class.php (47): wcf\action\AbstractDialogAction->execute(…)
    10. /var/www/seo_wsc54/cms/lib/system/request/Request.class.php (83): wcf\action\AbstractAction->__run(…)
    11. /var/www/seo_wsc54/cms/lib/system/request/RequestHandler.class.php (107): wcf\system\request\Request->execute(…)
    12. /var/www/seo_wsc54/cms/acp/index.php (9): wcf\system\request\RequestHandler->handle(…)
    • Official Post

    Das Datenbanklayout konnte aufgrund folgender Fehler nicht aktualisiert werden: Die Spalte wcf1_article_content.metaTitle gehört zu einem anderen Paket und kann deshalb nicht gelöscht werden. Die Spalte wcf1_article_content.metaDescription gehört zu einem anderen Paket und kann deshalb nicht gelöscht werden.

    Es gab mal ein Plugin, dass solche Zusatzfelder in 3.0/3.1 bereitgestellt hat. Wahrscheinlich hast du das installiert und das Plugin hat kein Exclude gesetzt.